/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2015 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editor;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.gef.EditDomain;
import org.eclipse.gef.EditPart;
import org.eclipse.gef.commands.CommandStack;
import org.eclipse.gef.ui.parts.ScrollingGraphicalViewer;
import org.fortiss.tooling.base.ui.editpart.allocation.AllocationConnectionEditPartBase;
import org.fortiss.tooling.kernel.ui.service.IAllocationEditPartFactoryService;

/**
 * <p>
 * GEF editor base implementation for linking two GEF based graphical viewer editors.
 * </p>
 * <p>
 * It provides {@link EditDomain} and thus a {@link CommandStack}.
 * </p>
 * 
 * @author eder
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 17562BCAB0D4A2A0320B3716AACCF2A4
 */
public class AllocationDiagramEditorBase<T extends EObject> extends CommonDiagramEditorBase<T> {

	/** Constructor. */
	public AllocationDiagramEditorBase() {
		super(new ScrollingGraphicalViewer() {
			@Override
			public void select(EditPart editpart) {
				if(editpart instanceof AllocationConnectionEditPartBase<?>) {
					super.select(editpart);
				}
			}
		}, IAllocationEditPartFactoryService.getInstance());
	}
}
