/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.internal;

import static org.fortiss.tooling.kernel.ToolingKernel.printPhase;

import org.fortiss.tooling.base.annotation.AnnotationValueService;

/**
 * Implementation of tooling base initialization and startup.
 * 
 * @author barner
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 645FF14D045C87F2EE387D24F4101F71
 */
public class ToolingBaseInternal {
	/** Initialize tooling base services. */
	public static void initializeToolingBase() {
		printPhase("Tooling Base initializing ...");
		AnnotationValueService.getInstance().initializeService();
		printPhase("Tooling Base initialized.");
	}

	/** Start tooling base services. */
	public static void startToolingBase() {
		printPhase("Tooling Base starting ...");
		AnnotationValueService.getInstance().startService();
		printPhase("Tooling Base started.");
	}
}
