/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.service;

import java.util.List;

import org.eclipse.core.resources.IFile;
import org.fortiss.tooling.kernel.extension.IEclipseResourceStorageLocationProvider;
import org.fortiss.tooling.kernel.internal.storage.eclipse.EclipseResourceStorageService;

/**
 * The eclipse storage service manages model files residing in the Eclipse
 * workspace as IFile resources.
 * 
 * @see IEclipseResourceStorageLocationProvider
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 7EF2217D1661CEA4688F0721721D9B5B
 */
public interface IEclipseResourceStorageService {
	/** Returns the service instance. */
	public static IEclipseResourceStorageService getInstance() {
		return EclipseResourceStorageService.getInstance();
	}

	/** Returns all model files provided by {@link IEclipseResourceStorageLocationProvider}s. */
	List<IFile> getModelElementResources();
}
