/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.validators;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

import org.eclipse.jface.viewers.ICellEditorValidator;

/**
 * Validates values by checking against a list of values which is provided in
 * the constructor.
 * 
 * @author klenkm
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 509885FE765E2AE486401C50A6B05CEE
 */
public class StringListContainsValidator implements ICellEditorValidator {

	/** The possible values. */
	private final Set<String> possibleValues;

	/** The constructor. */
	public StringListContainsValidator(Collection<String> values) {
		possibleValues = new HashSet<String>(values);
	}

	/** {@inheritDoc} */
	public String isValid(Object value) {
		if (possibleValues.contains(value)) {
			return null;
		}
		return "Value is not allowed.";
	}

}