/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.lib.commons.predicate;

/**
 * Predicate that inverts another predicate.
 * 
 * @param <T>
 *            the element type the predicate works on.
 * 
 * @author $Author: deissenb $
 * @version $Rev: 35183 $
 * @ConQAT.Rating GREEN Hash: 4280FCF7D484BCFE40D2E764E129AFC4
 */
public class InvertingPredicate<T> implements IPredicate<T> {

	/** The delegate predicate. */
	private final IPredicate<T> inner;

	/** Constructor. */
	public InvertingPredicate(IPredicate<T> inner) {
		this.inner = inner;
	}

	/** {@inheritDoc} */
	@Override
	public boolean isContained(T element) {
		return !inner.isContained(element);
	}

}